%define namebasebase lpsolve
%define namebase %{namebasebase}55
%define verbase 5.5
%define version %{verbase}.2.0
%define unmangled_version %{version}
%define release 5
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: Linear Program Solver, Interface to lpsolve
Name: python-%{namebase}
Version: %{version}
Release: %mkrel %{release}
Source0: http://garr.dl.sourceforge.net/project/lpsolve/lpsolve/%{version}/lp_solve_%{version}_Python_source.tar.gz
License: LGPLv2+
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Url: http://www.peno.be/
BuildRequires: lpsolve-devel
BuildRequires: python-devel

%description
Python bindings for lpsolve 5.5, a Linear programming package.

%prep
%setup -q -n lp_solve_%{verbase}/extra/Python

%build
export CPATH="/usr/include/lpsolve"
env CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
export CPATH="/usr/include/lpsolve"
%{__python} setup.py install install --root=%{buildroot} --skip-build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_sitearch}/lp_solve.py*
%{python_sitearch}/lp_maker.py*
%{python_sitearch}/lpsolve55.so
%{python_sitearch}/lpsolve55*.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 5.5.2.0-5.mga4
+ Revision: 543738
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 5.5.2.0-4.mga4
+ Revision: 498862
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 philippem <philippem> 5.5.2.0-3.mga4
+ Revision: 491546
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 5.5.2.0-2.mga3
+ Revision: 379070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 18 2012 shlomif <shlomif> 5.5.2.0-1.mga3
+ Revision: 282013
- Fix build with PYTHONDONTWRITE
- Add missing BR
- rpmlint fix
- Fixes
- New version and fixes
- imported package python-lpsolve55

